org.apache.nutch.storage

## Class ParseStatus.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<ParseStatus>
    - - org.apache.nutch.storage.ParseStatus.Builder

- All Implemented Interfaces:
    org.apache.avro.data.RecordBuilder<ParseStatus>
  Enclosing class:
    ParseStatus

      public static class ParseStatus.Builder
      extends org.apache.avro.specific.SpecificRecordBuilderBase<ParseStatus>
      implements org.apache.avro.data.RecordBuilder<ParseStatus>

  RecordBuilder for ParseStatus instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParseStatus` | `build()`
    `ParseStatus.Builder` | `clearArgs()` Clears the value of the 'args' field
    `ParseStatus.Builder` | `clearMajorCode()` Clears the value of the 'majorCode' field
    `ParseStatus.Builder` | `clearMinorCode()` Clears the value of the 'minorCode' field
    `List<CharSequence>` | `getArgs()` Gets the value of the 'args' field
    `Integer` | `getMajorCode()` Gets the value of the 'majorCode' field
    `Integer` | `getMinorCode()` Gets the value of the 'minorCode' field
    `boolean` | `hasArgs()` Checks whether the 'args' field has been set
    `boolean` | `hasMajorCode()` Checks whether the 'majorCode' field has been set
    `boolean` | `hasMinorCode()` Checks whether the 'minorCode' field has been set
    `ParseStatus.Builder` | `setArgs(List<CharSequence> value)` Sets the value of the 'args' field
    `ParseStatus.Builder` | `setMajorCode(int value)` Sets the value of the 'majorCode' field
    `ParseStatus.Builder` | `setMinorCode(int value)` Sets the value of the 'minorCode' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMajorCode

          public Integer getMajorCode()

      Gets the value of the 'majorCode' field

    - #### setMajorCode

          public ParseStatus.Builder setMajorCode(int value)

      Sets the value of the 'majorCode' field

    - #### hasMajorCode

          public boolean hasMajorCode()

      Checks whether the 'majorCode' field has been set

    - #### clearMajorCode

          public ParseStatus.Builder clearMajorCode()

      Clears the value of the 'majorCode' field

    - #### getMinorCode

          public Integer getMinorCode()

      Gets the value of the 'minorCode' field

    - #### setMinorCode

          public ParseStatus.Builder setMinorCode(int value)

      Sets the value of the 'minorCode' field

    - #### hasMinorCode

          public boolean hasMinorCode()

      Checks whether the 'minorCode' field has been set

    - #### clearMinorCode

          public ParseStatus.Builder clearMinorCode()

      Clears the value of the 'minorCode' field

    - #### getArgs

          public List<CharSequence> getArgs()

      Gets the value of the 'args' field

    - #### setArgs

          public ParseStatus.Builder setArgs(List<CharSequence> value)

      Sets the value of the 'args' field

    - #### hasArgs

          public boolean hasArgs()

      Checks whether the 'args' field has been set

    - #### clearArgs

          public ParseStatus.Builder clearArgs()

      Clears the value of the 'args' field

    - #### build

          public ParseStatus build()

      Specified by:
        `build` in interface `org.apache.avro.data.RecordBuilder<ParseStatus>`

Copyright © 2015 The Apache Software Foundation